import java.util.*;

public class Sample {
  public static double simulatePrice(String ticker) {
    return Math.round(Math.random() * 1000);
  }

  public static void fetchPrices(List<String> tickers) {
    record Stock(String ticker, double price) { //really a tuple
      public String toString() {
        return String.format("Ticker: %s Price: $%g", ticker, price);
      }
    }

    tickers.stream()
      .map(ticker -> new Stock(ticker, simulatePrice(ticker)))
      .forEach(System.out::println);
  }

  public static void main(String[] args) {
    var tickers = List.of("GOOG", "AMZN", "INTC");

    fetchPrices(tickers);
  }
}

/*
Ticker: GOOG Price: $762.000
Ticker: AMZN Price: $816.000
Ticker: INTC Price: $342.000
*/
